<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Tue Oct 14 13:30:14 CEST 2014 -->
<title>CPMTaskUnit</title>
<meta name="date" content="2014-10-14">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="CPMTaskUnit";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CPMTaskUnit.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/cpm/task/CPMTask.html" title="class in fr.inria.alpage.cpm.task"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/cpm/task/CPMTaskUnit.html" target="_top">Frames</a></li>
<li><a href="CPMTaskUnit.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_classes_inherited_from_class_java.lang.Thread">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.inria.alpage.cpm.task</div>
<h2 title="Class CPMTaskUnit" class="title">Class CPMTaskUnit</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.lang.Thread</li>
<li>
<ul class="inheritance">
<li>fr.inria.alpage.cpm.task.CPMTaskUnit</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.lang.Runnable</dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../fr/inria/alpage/cpm/task/CPMCall.html" title="class in fr.inria.alpage.cpm.task">CPMCall</a>, <a href="../../../../../fr/inria/alpage/cpm/task/CPMCommand.html" title="class in fr.inria.alpage.cpm.task">CPMCommand</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="strong">CPMTaskUnit</span>
extends java.lang.Thread</pre>
<div class="block">Abstract class used to define a task unit that will be process as part of a <code>fr.inria.alpage.cpm.task.Task</code></div>
<dl><dt><span class="strong">Author:</span></dt>
  <dd>buiquang</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_java.lang.Thread">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;java.lang.Thread</h3>
<code>java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/cpm/task/CPMTaskUnit.html#index">index</a></strong></code>
<div class="block">Index of this task unit in the global task it belongs to</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/cpm/task/CPMTaskUnit.html#taskId">taskId</a></strong></code>
<div class="block">Reference to the id of the task that contains this task unit</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>com.mongodb.BasicDBObject</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/cpm/task/CPMTaskUnit.html#taskUnitObject">taskUnitObject</a></strong></code>
<div class="block">JSON object storing information about this task unit (namely : 
 - stdout : the path to the file where the standard output of the task will be written
 - stderr : the path to the file where the standard error of the task will be written
 - status : the status of the task ("waiting", "running" or the result of the process (0 => ok))</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_java.lang.Thread">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;java.lang.Thread</h3>
<code>MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/cpm/task/CPMTaskUnit.html#CPMTaskUnit(java.lang.String)">CPMTaskUnit</a></strong>(java.lang.String&nbsp;id)</code>
<div class="block">Abstract Constructor</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../fr/inria/alpage/cpm/task/CPMTaskUnit.html" title="class in fr.inria.alpage.cpm.task">CPMTaskUnit</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/cpm/task/CPMTaskUnit.html#create(com.mongodb.BasicDBObject,%20org.bson.types.ObjectId,%20int)">create</a></strong>(com.mongodb.BasicDBObject&nbsp;obj,
      org.bson.types.ObjectId&nbsp;id,
      int&nbsp;index)</code>
<div class="block">Task unit factory</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/cpm/task/CPMTaskUnit.html#getErr(com.mongodb.BasicDBObject)">getErr</a></strong>(com.mongodb.BasicDBObject&nbsp;taskInfo)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/cpm/task/CPMTaskUnit.html#getOutput(com.mongodb.BasicDBObject)">getOutput</a></strong>(com.mongodb.BasicDBObject&nbsp;taskInfo)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/cpm/task/CPMTaskUnit.html#getStatus()">getStatus</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>com.mongodb.BasicDBObject</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/cpm/task/CPMTaskUnit.html#getTaskObject()">getTaskObject</a></strong>()</code>
<div class="block">Get the json db object representing this task unit in db</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/cpm/task/CPMTaskUnit.html#updateStatus(java.lang.String)">updateStatus</a></strong>(java.lang.String&nbsp;status)</code>
<div class="block">Update in database the status of the process defined by this task unit</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/cpm/task/CPMTaskUnit.html#writeOutput(java.io.BufferedReader,%20java.io.BufferedReader)">writeOutput</a></strong>(java.io.BufferedReader&nbsp;outBuffer,
           java.io.BufferedReader&nbsp;errBuffer)</code>
<div class="block">write the outputs of the taskunit to the file defined by the properties "stderr" and "stdout"</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/cpm/task/CPMTaskUnit.html#writeOutput(java.io.BufferedReader,%20java.io.BufferedReader,%20java.lang.StringBuffer,%20java.lang.StringBuffer)">writeOutput</a></strong>(java.io.BufferedReader&nbsp;outBuffer,
           java.io.BufferedReader&nbsp;errBuffer,
           java.lang.StringBuffer&nbsp;outString,
           java.lang.StringBuffer&nbsp;errString)</code>
<div class="block">write the output (error and normal) from buffered readers to string buffers</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/cpm/task/CPMTaskUnit.html#writeOutput(java.io.BufferedReader,%20java.io.BufferedReader,%20java.lang.String,%20java.lang.String)">writeOutput</a></strong>(java.io.BufferedReader&nbsp;outBuffer,
           java.io.BufferedReader&nbsp;errBuffer,
           java.lang.String&nbsp;outFilename,
           java.lang.String&nbsp;errFilename)</code>
<div class="block">write the output (error and normal) from buffered readers to files</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/cpm/task/CPMTaskUnit.html#writeOutput(java.lang.String,%20java.lang.String)">writeOutput</a></strong>(java.lang.String&nbsp;out,
           java.lang.String&nbsp;err)</code>
<div class="block">write the outputs of the taskunit to the file defined by the properties "stderr" and "stdout"</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Thread">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Thread</h3>
<code>activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, run, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="taskId">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>taskId</h4>
<pre>public&nbsp;java.lang.String taskId</pre>
<div class="block">Reference to the id of the task that contains this task unit</div>
</li>
</ul>
<a name="index">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>index</h4>
<pre>public&nbsp;int index</pre>
<div class="block">Index of this task unit in the global task it belongs to</div>
</li>
</ul>
<a name="taskUnitObject">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>taskUnitObject</h4>
<pre>public&nbsp;com.mongodb.BasicDBObject taskUnitObject</pre>
<div class="block">JSON object storing information about this task unit (namely : 
 - stdout : the path to the file where the standard output of the task will be written
 - stderr : the path to the file where the standard error of the task will be written
 - status : the status of the task ("waiting", "running" or the result of the process (0 => ok))</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="CPMTaskUnit(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CPMTaskUnit</h4>
<pre>protected&nbsp;CPMTaskUnit(java.lang.String&nbsp;id)</pre>
<div class="block">Abstract Constructor</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>id</code> - the id of the task this task unit belongs to</dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getStatus()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStatus</h4>
<pre>public&nbsp;java.lang.String&nbsp;getStatus()</pre>
<dl><dt><span class="strong">Returns:</span></dt><dd>the status of the task (found in db object at property "status")</dd></dl>
</li>
</ul>
<a name="create(com.mongodb.BasicDBObject, org.bson.types.ObjectId, int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>create</h4>
<pre>public static&nbsp;<a href="../../../../../fr/inria/alpage/cpm/task/CPMTaskUnit.html" title="class in fr.inria.alpage.cpm.task">CPMTaskUnit</a>&nbsp;create(com.mongodb.BasicDBObject&nbsp;obj,
                 org.bson.types.ObjectId&nbsp;id,
                 int&nbsp;index)</pre>
<div class="block">Task unit factory</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>obj</code> - the definition object of the task unit</dd><dd><code>id</code> - the ObjectId of the task which this task unit belongs to</dd><dd><code>index</code> - the index of the task unit within its task</dd>
<dt><span class="strong">Returns:</span></dt><dd>a newly created task unit instance</dd></dl>
</li>
</ul>
<a name="getOutput(com.mongodb.BasicDBObject)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOutput</h4>
<pre>public static&nbsp;java.lang.String&nbsp;getOutput(com.mongodb.BasicDBObject&nbsp;taskInfo)</pre>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>taskInfo</code> - the db json object representing a taskunit</dd>
<dt><span class="strong">Returns:</span></dt><dd>the output of the task unit</dd></dl>
</li>
</ul>
<a name="getErr(com.mongodb.BasicDBObject)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getErr</h4>
<pre>public static&nbsp;java.lang.String&nbsp;getErr(com.mongodb.BasicDBObject&nbsp;taskInfo)</pre>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>taskInfo</code> - the db json object representing a taskunit</dd>
<dt><span class="strong">Returns:</span></dt><dd>the error output of the task unit</dd></dl>
</li>
</ul>
<a name="writeOutput(java.io.BufferedReader, java.io.BufferedReader, java.lang.StringBuffer, java.lang.StringBuffer)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>writeOutput</h4>
<pre>public static&nbsp;void&nbsp;writeOutput(java.io.BufferedReader&nbsp;outBuffer,
               java.io.BufferedReader&nbsp;errBuffer,
               java.lang.StringBuffer&nbsp;outString,
               java.lang.StringBuffer&nbsp;errString)</pre>
<div class="block">write the output (error and normal) from buffered readers to string buffers</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>outBuffer</code> - The buffer reader containing the standard output</dd><dd><code>errBuffer</code> - The buffer reader containing the error output</dd><dd><code>outString</code> - The string buffer where the standard output will be written</dd><dd><code>errString</code> - The string buffer where the error output will be written</dd></dl>
</li>
</ul>
<a name="writeOutput(java.io.BufferedReader, java.io.BufferedReader, java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>writeOutput</h4>
<pre>public static&nbsp;void&nbsp;writeOutput(java.io.BufferedReader&nbsp;outBuffer,
               java.io.BufferedReader&nbsp;errBuffer,
               java.lang.String&nbsp;outFilename,
               java.lang.String&nbsp;errFilename)</pre>
<div class="block">write the output (error and normal) from buffered readers to files</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>outBuffer</code> - The buffer reader containing the standard output</dd><dd><code>errBuffer</code> - The buffer reader containing the error output</dd><dd><code>outFilename</code> - The path of the file in which to write the standard output</dd><dd><code>errFilename</code> - The path of the file in which to write the error output</dd></dl>
</li>
</ul>
<a name="writeOutput(java.io.BufferedReader, java.io.BufferedReader)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>writeOutput</h4>
<pre>public&nbsp;void&nbsp;writeOutput(java.io.BufferedReader&nbsp;outBuffer,
               java.io.BufferedReader&nbsp;errBuffer)</pre>
<div class="block">write the outputs of the taskunit to the file defined by the properties "stderr" and "stdout"</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>outBuffer</code> - The buffer reader containing the standard output</dd><dd><code>errBuffer</code> - The buffer reader containing the error output</dd></dl>
</li>
</ul>
<a name="writeOutput(java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>writeOutput</h4>
<pre>public&nbsp;void&nbsp;writeOutput(java.lang.String&nbsp;out,
               java.lang.String&nbsp;err)</pre>
<div class="block">write the outputs of the taskunit to the file defined by the properties "stderr" and "stdout"</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>out</code> - The string containing the standard output</dd><dd><code>err</code> - The string containing the error output</dd></dl>
</li>
</ul>
<a name="updateStatus(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateStatus</h4>
<pre>public&nbsp;void&nbsp;updateStatus(java.lang.String&nbsp;status)</pre>
<div class="block">Update in database the status of the process defined by this task unit</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>status</code> - </dd></dl>
</li>
</ul>
<a name="getTaskObject()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getTaskObject</h4>
<pre>public&nbsp;com.mongodb.BasicDBObject&nbsp;getTaskObject()</pre>
<div class="block">Get the json db object representing this task unit in db</div>
<dl><dt><span class="strong">Returns:</span></dt><dd></dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CPMTaskUnit.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/cpm/task/CPMTask.html" title="class in fr.inria.alpage.cpm.task"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/cpm/task/CPMTaskUnit.html" target="_top">Frames</a></li>
<li><a href="CPMTaskUnit.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_classes_inherited_from_class_java.lang.Thread">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
